/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
Author:         Radig Ulrich / Dietmar Schrder
 Remarks:
 known Problems: none
 Version:        01.04.2009
 Description:    Definition der auszuliefernden Html Seiten und Bilder

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
------------------------------------------------------------------------------*/

//--------------- MTU-Size ist 600 Bytes im MEGA32 - lnger darf eine WEBseite nicht sein!

#ifndef _WEBPAGE_H
  #define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am Ende dieser Seite in Tabelle eintragen !!!!!!!
//**************************w**************************************************


//----------------------------------------------------------------------------
//Darzustellende Webseiten

//Serviceseite

PROGMEM char PageIstwerte[] = {
"%XX\r\n"
"%END"};

PROGMEM char PageOK[] = {
"<html><head><script type=\"text/javascript\">function xx() { window.back(); }</script></head>"
"<body onLoad=\"window.setTimeout('xx()', 2000)\">"
"OK"
"</body></html>"
"%END"};


PROGMEM char PageVLG[] = {
"%VLG\r\n"
"%END"};

PROGMEM char PageVLW[] = {
"%VLW\r\n"
"%END"};

PROGMEM char PageVLS[] = {
"%VLS\r\n"
"%END"};

PROGMEM char PageVLK[] = {
"%VLK\r\n"
"%END"};

PROGMEM char PageHIG[] = {
"%HIG\r\n"
"%END"};

PROGMEM char PageHIW[] = {
"%HIW\r\n"
"%END"};

PROGMEM char PageHIS[] = {
"%HIS\r\n"
"%END"};

PROGMEM char PageNN[] = {
"%NN\r\n"
"%END"};

//             XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX   HIER MUSS GENDERT WERDEN XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
PROGMEM char PageIndex[] = {
"<html><head><script src=\"http://----HIER MUSS DIE ADRESSE IHRER HOMEPAGE REIN, AUF DER AVR3.JS LIEGT-----/avr3.js\" type=\"text/javascript\"></script>"
"</head><body onLoad=\"zabex()\">"
"<p id=\"P1\">Ihr Browser muss jetzt meinen Java-Script Code ausfhren, erst dann sieht man was.</p>"
"</body></html>\r\n"
"%END"};


PROGMEM char PageService[] = {
"<head><meta http-equiv=\"refresh\" content=\"5; URL=service.htm\">\r\n"
"</head>"
"<body><div align=\"center\">\r\n"
"<h1>Serviceseite</h1>\r\n"
"</div><BR>\r\n"
"<div>Compiliert am "__DATE__" um " __TIME__" mit GCC Version "__VERSION__"</div>\r\n"
"<div>Besucher seit Start des Webservers (%MX9)</div>\r\n"
"<div>Online seit %LH7 Tagen</div>\r\n"
"<div>Uhrzeit %TI  UTC</div>\r\n"
"<div>Stunde intern: %LH9 </div>\r\n"
"<div>Minimal freier Speicher: %ZSM Bytes </div>\r\n"
"<br><hr><br>"
"<p>Gaszhler: %ZSG x 10 Liter</p>"
"<p>Wasserzhler: %ZSW Liter</p>"
"<p>Stromzhler: %ZSS /75 KWh (letzte Umlaufzeit %MX7s)</p>"

"<table border=1><tr><th>Sensorwerte</th><th>Min</th><th>Max</th><th>Aktuell</th><th>Untergrenze</th><th>Obergrenze</th></tr>\r\n"
"<tr><td>Gas</td><td>%MX1</td><td>%MX2</td><td>%VA@00</td><td>%LH1</td></td><td>%LH2</td></tr>\r\n"
"<tr><td>Wasser</td><td>%MX3</td><td>%MX4</td><td>%VA@01</td><td>%LH3</td></td><td>%LH4</td></tr>\r\n"
"<tr><td>Strom</td><td>%MX5</td><td>%MX6</td><td>%VA@02</td><td>%LH5</td></td><td>%LH6</td></tr></table>\r\n"
"<p><a href=\"x.clr\">Lsche Min/Max</a></p>\r\n"
"<p><a href=\"x.set\">Setzte Schwellwerte</a></p>\r\n"

"</body></html>\r\n"
"%END"};


//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//Das GIF Bild fr den Balken
PROGMEM char bild_balken[] =
  {
  0x47,0x49,0x46,0x38,0x39,0x61,0x02,0x00,0x0A,0x00,0xA2,0x00,0x00,0xA2,0xA5,0xED,
  0x84,0x8F,0xE5,0x66,0x7C,0xDD,0x49,0x60,0xD6,0x21,0x44,0xDA,0xFE,0x01,0x02,0x00,
  0x00,0x00,0x00,0x00,0x00,0x21,0xF9,0x04,0x05,0x14,0x00,0x05,0x00,0x2C,0x00,0x00,
  0x00,0x00,0x02,0x00,0x0A,0x00,0x00,0x03,0x0A,0x48,0x34,0x23,0x12,0x01,0x48,0x00,
  0x1D,0x53,0x09,0x00,0x3B,'%','E','N','D'};

//----------------------------------------------------------------------------

//Nur Dateiname und Pointer eintragen
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
  {"index.htm",PageIndex},
  {"istwerte.htm",PageIstwerte},
  {"balke.gif",bild_balken},
  {"service.htm",PageService},
  {"balke.gif",bild_balken},
  {"VLG.htm",PageVLG},
  {"VLW.htm",PageVLW},
  {"VLS.htm",PageVLS},
  {"VLK.htm",PageVLK},
  {"HIG.htm",PageHIG},
  {"HIW.htm",PageHIW},
  {"HIS.htm",PageHIS},
  {"NN.htm",PageNN},
  {"x.clr",PageOK},
  {"x.set",PageOK},
  {NULL,NULL}
};

#endif //_WEBPAGE_H








